package cn.com.ctop.kuaishou.modules.report.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DuanJUReportMapper {
    JSONObject getTotalCharge(Map<String, Object> requestMap);

    List<JSONObject> getAccountList(Map<String, Object> requestMap);

    List<JSONObject> getDuanJuList(Map<String, Object> requestMap);

    List<JSONObject> getViodeoList(Map<String, Object> requestMap);

    String getAgentToken(@Param("appId") Long appId);

    void replaceDatas(@Param("adds") List<JSONObject> adds);

    List<JSONObject> stopList(Map<String, Object> requestMap);
}
